Search Unity

[1.0.2] Free Opensource Low Poly Terrain Editor

Discussion in 'Assets and Asset Store' started by MCrafterzz, Feb 23, 2019.

  1. MCrafterzz

    MCrafterzz

    Joined:
    Jun 3, 2017
    Posts:
    274
    Realizing that Unity terrain can't be configured to look low poly I created my own tool that lets you create large terrains in just a few minutes. Source code.

    Features

    - Modify brush, lower and raise terrain with configurable brush size, smoothness and strength
    - Set height brush
    - Smooth brush
    - Paint brush with unlimited materials. Materials are per triangle
    - Randomize with perlin noise
    - Chunk system to increase performance

    Download
    Download 1.0.2 (The included materials require the LWRP package but the tool itself does not)
    Free prefab brush (Recommend but not required)

    How to help
    - Send a pull request
    - Submit an idea or issue
    - Send pictures of scenes created with this tool

    Other projects by me
    - Free Road Creator
    - Free Low Poly assets

    Let me know if you have any issues or suggestions!
     
    Last edited: Feb 24, 2019
  2. MCrafterzz

    MCrafterzz

    Joined:
    Jun 3, 2017
    Posts:
    274
    Any thoughts?
     
  3. nicfio

    nicfio

    Joined:
    Feb 12, 2017
    Posts:
    1
    Hi! I was looking exactly for something like this! Anyway At the import I have two errors so I cannot actually use it: (My version of unity is 2018.2.9)
    Code (CSharp):
    1. Assets/lowpolyterraineditor-master/Assets/Resources/Scripts/LowPolyTerrain.cs(49,27): error CS0117: `UnityEditor.PrefabUtility' does not contain a definition for `UnpackPrefabInstance'
    2.  
    and
    Code (CSharp):
    1. Assets/lowpolyterraineditor-master/Assets/Resources/Scripts/LowPolyTerrain.cs(47,27): error CS0117: `UnityEditor.PrefabUtility' does not contain a definition for `GetPrefabAssetType'
    2.  
    Please let me know if there is something I missed :D great job anyway!
     
  4. MCrafterzz

    MCrafterzz

    Joined:
    Jun 3, 2017
    Posts:
    274
    The reason is that those classes were added with the new prefab system that I believe came in 2018.3. Try upgrading, it shouldn't cause too many issues with your other assets.